## org.apache.lucene.spatial.vector
Class DistanceValueSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.spatial.vector.DistanceValueSource

    public class DistanceValueSource

extends ValueSource

An implementation of the Lucene ValueSource model that returns the distance for a `PointVectorStrategy`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`DistanceValueSource(PointVectorStrategy strategy, com.spatial4j.core.shape.Point from)` Constructor.

Method Summary
`String` `description()` Returns the ValueSource description.
`boolean` `equals(Object o)`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Returns the FunctionValues used by the function query.
`int` `hashCode()`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistanceValueSource

    public DistanceValueSource(PointVectorStrategy strategy,
                               com.spatial4j.core.shape.Point from)

  Constructor.

Method Detail

### description

    public String description()

  Returns the ValueSource description.

  Specified by:
    `description` in class `ValueSource`

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Returns the FunctionValues used by the function query.

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.